using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using ProgramDB;

namespace ProgramDB
{
    public partial class NoweStawkiVAT : Form, InterfaceClass.ISendData    
    {
        private StawkiVAT sv;
        private bool czyNowy;
        public NoweStawkiVAT(StawkiVAT s, bool nowy)
        {
            InitializeComponent();
            sv = s;
            czyNowy = nowy;
            MethodsClass.ownMaskedTextBoxEvent(this.PTUCTextBox);
            MethodsClass.ownMaskedTextBoxEvent(this.PTUDTextBox);
        }

        public void Edytuj(params object[] text)
        {
            this.Text = "Edycja stawek VAT";
            dateTimePicker1.Value = DateTime.ParseExact(text[0].ToString(), "yyyy-MM-dd HH:mm:ss", null);
            textBox1.Text = text[1].ToString().Replace(".", ",");
            textBox2.Text = text[2].ToString().Replace(".", ",");
            PTUCTextBox.Text = text[3].ToString().Replace(".", ",");
            PTUDTextBox.Text = text[4].ToString().Replace(".", ",");
            textBox5.Text = text[5].ToString().Replace(".", ",");
            textBox6.Text = text[6].ToString();
            textBox7.Text = text[7].ToString();
        }

        private void OK_Click(object sender, EventArgs e)
        {
            if (czyNowy)
                sv.Dodaj(dateTimePicker1.Value, textBox1.Text, textBox2.Text, PTUCTextBox.Text, PTUDTextBox.Text, textBox5.Text, textBox6.Text, textBox7.Text);
            else
                sv.EdytujOK(dateTimePicker1.Value, textBox1.Text, textBox2.Text, PTUCTextBox.Text, PTUDTextBox.Text, textBox5.Text, textBox6.Text, textBox7.Text);
        }
    }
}