using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace ProgramDB
{
    public partial class NowyCel : Form, InterfaceClass.ISendData
    {
        private CeleWyjazdPojazdPrywat cw;
        private bool czyNowy;
        public NowyCel(CeleWyjazdPojazdPrywat c, bool nowy)
        {
            InitializeComponent();
            cw = c;
            czyNowy = nowy;
        }

        public void Edytuj(params object[] text)
        {  // Pobiera dane (z listView) do edycji 
            textBox1.Text = text[0].ToString();
        }

        private void OK_Click(object sender, EventArgs e)
        {
            if (czyNowy)
            {
                if (textBox1.Text != "")
                    cw.Dodaj(textBox1.Text);
            }
            else
                cw.EdytujOK(cw.PobierzIDInt(), textBox1.Text);
        }
    }
}