using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace ProgramDB
{
    public partial class NowyKontrahent : Form, InterfaceClass.ISendDataDictionary
    {
        private Kontrahenci kon;
        private bool czyNowy;
        public NowyKontrahent(Kontrahenci k, bool nowy)
        {
            InitializeComponent();
            kon = k;
            czyNowy = nowy;
            MethodsClass.ownNumberMaskedTextBoxEvent(this.kod1TextBox);
            MethodsClass.ownNumberMaskedTextBoxEvent(this.kod2TextBox);
            MethodsClass.ownNumberMaskedTextBoxEvent(this.kod11TextBox);
            MethodsClass.ownNumberMaskedTextBoxEvent(this.kod12TextBox);
        }

        public void Edytuj(Dictionary<int, object> dataTable)
        {  // take data form the listView to the edition
            foreach (Control vcontrol in this.Controls)
            {
                if (vcontrol is CheckBox)
                {
                    CheckBox control = (CheckBox)vcontrol;
                    checkBox1.Checked = (dataTable[control.TabIndex-1].ToString() == "True") ? true : false;
                }
                if (vcontrol is Panel)
                {
                    Panel panel = (Panel)vcontrol;
                    foreach (Control control in panel.Controls)
                    {
                        if (control is TextBox)
                        {
                            TextBox tControl = (TextBox)control;
                            control.Text = dataTable[tControl.TabIndex-1].ToString();
                        }
                    }
                }
            }
        }

        private void OK_Click(object sender, EventArgs e)
        {
            Dictionary<int, object> textBoxArray = new Dictionary<int, object>();
            foreach (Control vcontrol in this.Controls)
            {
                if (vcontrol is CheckBox)
                {
                    CheckBox cControl = (CheckBox)vcontrol;
                    textBoxArray.Add(cControl.TabIndex-1, (cControl.Checked == true) ? "True" : "False");
                }
                if (vcontrol is Panel)
                {
                    Panel panel = (Panel)vcontrol;
                    foreach (Control control in panel.Controls)
                    {
                        if (control is TextBox)
                        {
                            TextBox tControl = (TextBox)control;
                            textBoxArray.Add(tControl.TabIndex-1, tControl.Text);
                        }
                    }
                }
            }

            if (czyNowy)
                kon.Dodaj(textBoxArray);
            else
                kon.EdytujOK(kon.PobierzIDInt(), textBoxArray);
        }

        private void checkBox1_CheckStateChanged(object sender, EventArgs e)
        {
            this.panel2.Enabled = (checkBox1.Checked==true)?true:false;
        }
    }
}