using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Data.SqlClient;

namespace ProgramDB
{
    public partial class OpisTrasWyjazdPojazdPrywat : Form
    {
        public OpisTrasWyjazdPojazdPrywat()
        {
            InitializeComponent();         
        }
        
        private void OpisTrasWyjazdPojazdPrywat_Load(object sender, EventArgs e)
        {  
            // create table GrupaKontrahentow if does not exist
            if (!MethodsClass.DbTableExists("OpisTrasWyjazdTabela", MethodsClass.sConnectionString))
            {
                string sCreateTable = "CREATE TABLE OpisTrasWyjazdTabela " + "(OpisTrasWyjazdID INT IDENTITY(0, 1) NOT NULL PRIMARY KEY," +
"OpisTrasWyjazd NVARCHAR(50) NULL, " + "Odleglosc INT NULL" + ")";
                MethodsClass.ExeNonQuery(sCreateTable);
            }
            // TODO: This line of code loads data into the 'bazaDanychFileStreamDataSet.OpisTrasWyjazdTabela' table. You can move, or remove it, as needed.
            this.opisTrasWyjazdTabelaTableAdapter.Fill(this.bazaDanychFileStreamDataSet.OpisTrasWyjazdTabela);
        }

        private void opisTrasWyjazdTabelaBindingNavigatorSaveItem_Click(object sender, EventArgs e)
        {
            this.Validate();
            this.opisTrasWyjazdTabelaBindingSource.EndEdit();
            try
            {                
                this.opisTrasWyjazdTabelaTableAdapter.Update(this.bazaDanychFileStreamDataSet.OpisTrasWyjazdTabela);
                Close();
            }
            catch (System.InvalidOperationException ex)
            {
                MethodsClass.InvalidOperationExceptionFunction(ex);
            }
            catch (System.Data.SqlClient.SqlException ex)
            {
                MessageBox.Show(ex.Message.ToString());
            }
            catch (System.Exception ex)
            {
                MethodsClass.GenericExceptionFunction(ex);
            }
        }

        private void odlegloscTextBox_Click(object sender, EventArgs e)
        {
            MethodsClass.ownMaskedTextBoxEvent(odlegloscTextBox);
        }
    }
}