using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Data.SqlClient;

namespace ProgramDB
{
    public partial class OpisZdarzenGospodarczych : Form 
    {
        public OpisZdarzenGospodarczych()
        {
            InitializeComponent();
        }

        private void OpisZdarzenGospodarczych_Load(object sender, EventArgs e)
        {
            // create table OpisZdarzeniaGospod if does not exist
            if (!MethodsClass.DbTableExists("OpisZdarzenGospTabela", MethodsClass.sConnectionString))
            {
                string sCreateTable = "CREATE TABLE OpisZdarzenGospTabela " + "(OpisZdarzenID INT IDENTITY(0, 1) NOT NULL PRIMARY KEY," + "OpisZdarzenGospodarczych NVARCHAR(50) NULL" + ")";
                MethodsClass.ExeNonQuery(sCreateTable);
            }
            // TODO: This line of code loads data into the 'bazaDanychFileStreamDataSet.OpisZdarzenGospTabela' table. You can move, or remove it, as needed.
            this.opisZdarzenGospTabelaTableAdapter.Fill(this.bazaDanychFileStreamDataSet.OpisZdarzenGospTabela);
        }

        private void opisZdarzenGospTabelaBindingNavigatorSaveItem_Click(object sender, EventArgs e)
        {
            this.Validate();
            this.opisZdarzenGospTabelaBindingSource.EndEdit();
            this.opisZdarzenGospTabelaTableAdapter.Update(this.bazaDanychFileStreamDataSet.OpisZdarzenGospTabela);
            Close();
        }
    }
}