using System;
using System.Collections.Generic;
using System.Text;
using System.Drawing;
using System.Windows.Forms;

namespace UserControl
{
    class OwnDataGridView: DataGridView
    { // create customer DataGridView
        public OwnDataGridView()
        {
            InitializeComponent();
        }

        private void InitializeComponent()
        {
            this.BackgroundColor = Color.White;
            this.ColumnHeadersHeightSizeMode = DataGridViewColumnHeadersHeightSizeMode.AutoSize;
            this.ReadOnly = true;
            this.RowHeadersVisible = false;
            this.SelectionMode = DataGridViewSelectionMode.FullRowSelect;
        }
    }
}
