using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace ProgramDB
{
    public partial class PojazdyPrywatne : Form
    {
        public PojazdyPrywatne()
        {
            InitializeComponent();
        }

        private void pojazdyPrywatneTabelaBindingNavigatorSaveItem_Click(object sender, EventArgs e)
        {
            this.Validate();
            this.pojazdyPrywatneTabelaBindingSource.EndEdit();
            this.pojazdyPrywatneTabelaTableAdapter.Update(this.bazaDanychFileStreamDataSet.PojazdyPrywatneTabela);
            Close();
        }

        private void PojazdyPrywatne_Load(object sender, EventArgs e)
        {  
            // create table PojazdyPrywatne if does not exist
            if (!MethodsClass.DbTableExists("PojazdyPrywatneTabela", MethodsClass.sConnectionString))
            {
                string sCreateTable = "CREATE TABLE PojazdyPrywatneTabela " + "(PojazdyPrywatneID INT IDENTITY(0, 1) NOT NULL PRIMARY KEY, " +
"NazwaPojazdu NVARCHAR(50) NULL, NrRejestracyjny NVARCHAR(50) NULL " + ")";
                MethodsClass.ExeNonQuery(sCreateTable);
            }
            // TODO: This line of code loads data into the 'bazaDanychFileStreamDataSet.PojazdyPrywatneTabela' table. You can move, or remove it, as needed.
            this.pojazdyPrywatneTabelaTableAdapter.Fill(this.bazaDanychFileStreamDataSet.PojazdyPrywatneTabela);
        }
    }
}