using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Data.SqlClient;

namespace ProgramDB
{
    public partial class StawkaZaPrzebiegPojazdu : Form
    {
        public StawkaZaPrzebiegPojazdu()
        {
            InitializeComponent();
            MethodsClass.ownMaskedTextBoxEvent(this.stawkaTextBox);
        }

        private void StawkaZaPrzebiegPojazdu_Load(object sender, EventArgs e)
        {  // create table StawkaZaPrzebiegPojazdu if does not exist
            if (!MethodsClass.DbTableExists("StawkaZaPrzebiegPojazduTabela", MethodsClass.sConnectionString))
            {                                                                      
                string sCreateTable = "CREATE TABLE StawkaZaPrzebiegPojazduTabela (StawkaZaPrzebiegPojazduID INT IDENTITY(1,1) NOT NULL PRIMARY KEY, StawkaZaPrzebiegPojazdu SMALLMONEY NOT NULL)";
                string query = "INSERT INTO StawkaZaPrzebiegPojazduTabela VALUES('" + 0.00 + "')";
                MethodsClass.ExeNonQuery(sCreateTable);
                MethodsClass.ExeNonQuery(query);
            }
            else
            {
                using (SqlConnection con = new SqlConnection())
                {
                    con.ConnectionString = MethodsClass.sConnectionString;
                    SqlCommand com = con.CreateCommand();
                    com.CommandType = CommandType.Text;
                    com.CommandText = "SELECT StawkaZaPrzebiegPojazdu FROM StawkaZaPrzebiegPojazduTabela";
                    con.Open();                    
                    stawkaTextBox.Text = Convert.ToString(Math.Round(Convert.ToDecimal(com.ExecuteScalar()),2));
                }
            }
        }

        private void Ustaw_Click(object sender, EventArgs e)
        {
            MethodsClass.ExeNonQuery("UPDATE StawkaZaPrzebiegPojazduTabela SET StawkaZaPrzebiegPojazdu = CONVERT(MONEY, " + stawkaTextBox.Text.Replace(",", ".") + ")");
        }
    }
}