﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Data.SqlClient;

namespace ProgramDB
{
    public partial class ZmianaRokuKsiegowego : Form
    {
        public ZmianaRokuKsiegowego()
        {
            InitializeComponent();
        }

        public void ExeScalarMaskedTextBox(MaskedTextBox maskedTextBox, string query)
        {
            SqlConnection tmpConn = MethodsClass.SqlConnect();
            SqlCommand myCommand = new SqlCommand(query, tmpConn);
            try
            {
                tmpConn.Open();
                maskedTextBox.Text = Convert.ToString(myCommand.ExecuteScalar());
            }
            catch (System.InvalidOperationException ex)
            {
                MethodsClass.InvalidOperationExceptionFunction(ex);
            }
            catch (System.Data.SqlClient.SqlException ex)
            {
                MethodsClass.SqlExceptionFunction(ex);
            }
            catch (System.Exception ex)
            {
                MethodsClass.GenericExceptionFunction(ex);
            }
            finally
            {
                MethodsClass.FinallyExceptionFunction(tmpConn);
            }
        }

        private void ZmianaRokuKsiegowego_Load(object sender, EventArgs e)
        {
            ExeScalarMaskedTextBox(maskedTextBox1, "SELECT Rok FROM DataKsiegowania");        
        }

        private void Ustaw_Click(object sender, EventArgs e)
        {
            int valueMask = Convert.ToInt32(maskedTextBox1.Text);
            if ((valueMask>2000)&&(valueMask<2100))
                MethodsClass.ExeNonQuery("UPDATE DataKsiegowania SET Rok= '" + Convert.ToInt32(maskedTextBox1.Text) + "'");
            else
                MethodsClass.MesBoxShowError("Rok musi zawierać się w zakresie od 2000 do 2100", "Niepoprawna wartość");

        }
    }
}