using System;
using System.Collections.Generic;
using System.Text;

namespace ProgramDB
{
    class InterfaceClass
    {
        public interface ITakeData
        {
            void EdytujOK(params object[] textTable);
            void Dodaj(params object[] textTable);
        }

        public interface ISendData
        {
            void Edytuj(params object[] textTable);
        }

        public interface IGetID
        {
            int PobierzIDInt();
        }

        public interface ITakeDataWithID: IGetID
        {
            void EdytujOK(params object[] textTable);
            void Dodaj(params object[] textTable);
        }

        public interface ITakeDataDictionary: IGetID
        {
            void EdytujOK(int id, Dictionary<int, object> textTable);
            void Dodaj(Dictionary<int, object> textTable);
        }

        public interface ISendDataDictionary
        {
            void Edytuj(Dictionary<int, object> textTable);
        }
    }
}
