using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Data.SqlClient;

namespace ProgramDB
{
    public partial class NowaNotaKorygujaca : Form, InterfaceClass.ISendData
    {
        private NotyKorygujace nk;
        private bool czyNowy;
        public NowaNotaKorygujaca(NotyKorygujace n, bool nowy)
        {
            InitializeComponent();
            nk = n;
            czyNowy = nowy;
        }

        private void NowaNotaKorygujaca_Load(object sender, EventArgs e)
        {
            foreach (DataRow comboRow in nk.GetTableToComboBox().Rows) 
            {
                comboBox1.Items.Add(comboRow[1]);
            }
            if (!czyNowy)
                comboBox1.Text = nk.ComboBoxText;
        }

        public void Edytuj(params object[] text)
        {  // Retrieves data for editing
            numericUpDown1.Value = int.Parse(text[0].ToString());
            dateTimePicker1.Value = DateTime.ParseExact(text[1].ToString(), "yyyy-MM-dd HH:mm:ss", null);
            checkBox1.Checked = bool.Parse(text[2].ToString());     
            textBox1.Text = text[3].ToString();
            dateTimePicker2.Value = DateTime.ParseExact(text[4].ToString(), "yyyy-MM-dd HH:mm:ss", null);
            dateTimePicker3.Value = DateTime.ParseExact(text[5].ToString(), "yyyy-MM-dd HH:mm:ss", null);
            richTextBox1.Text = text[6].ToString(); 
            richTextBox2.Text = text[7].ToString();            
        }

        private void OK_Click(object sender, EventArgs e)
        {
            if (czyNowy)
                nk.Dodaj(numericUpDown1.Value, dateTimePicker1.Value, checkBox1.Checked, textBox1.Text, dateTimePicker2.Value, dateTimePicker3.Value, richTextBox1.Text, richTextBox2.Text, comboBox1.Text);
            else
                nk.EdytujOK(numericUpDown1.Value, dateTimePicker1.Value, checkBox1.Checked, textBox1.Text, dateTimePicker2.Value, dateTimePicker3.Value, richTextBox1.Text, richTextBox2.Text, comboBox1.Text);
        }
    }
}