using System;
using System.Collections;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace ProgramDB
{
    public partial class SumyPKPIR : Form
    {
        public SumyPKPIR()
        {
            InitializeComponent();
        }
        
        private void SumyPKPIR_Load(object sender, EventArgs e)
        {
            decimal fValue, sValue;
            ownDataGridView1.Columns["MiesiacKol"].HeaderText = MethodsClass.GetStringMonthFromInt(MethodsClass.ExeStoredProcedureRetInt("uspGetMonthFromDataKsiegowania"));
            ownDataGridView1.Rows.Add("Sprzeda towarw handlowych i usug", MethodsClass.ExeStoredProcedureRetDecimal("uspGetSumKolKsiazki", "nr", 7));
            ownDataGridView1.Rows.Add("Pozostaa sprzeda", MethodsClass.ExeStoredProcedureRetDecimal("uspGetSumKolKsiazki", "nr", 8));
            ownDataGridView1.Rows.Add("Razem sprzeda", MethodsClass.ExeStoredProcedureRetDecimal("uspGetSumKolKsiazki", "nr", 7) + MethodsClass.ExeStoredProcedureRetDecimal("uspGetSumKolKsiazki", "nr", 8));
            ownDataGridView1.Rows.Add("Zakup towarw handlowych", MethodsClass.ExeStoredProcedureRetDecimal("uspGetSumKolKsiazki", "nr", 10));
            ownDataGridView1.Rows.Add("Koszt uboczny zakupw", MethodsClass.ExeStoredProcedureRetDecimal("uspGetSumKolKsiazki", "nr", 11));
            ownDataGridView1.Rows.Add("Wynagrodzenie w gotwce i naturze", MethodsClass.ExeStoredProcedureRetDecimal("uspGetSumKolKsiazki", "nr", 12));
            ownDataGridView1.Rows.Add("Pozostae wydatki", MethodsClass.ExeStoredProcedureRetDecimal("uspGetSumKolKsiazki", "nr", 13));
            ownDataGridView1.Rows.Add("Razem wydatki", MethodsClass.ExeStoredProcedureRetDecimal("uspGetSumKolKsiazki", "nr", 12) + MethodsClass.ExeStoredProcedureRetDecimal("uspGetSumKolKsiazki", "nr", 13));
            ownDataGridView1.Rows.Add("Inne", MethodsClass.ExeStoredProcedureRetDecimal("uspGetSumKolKsiazki", "nr", 15));

            fValue = MethodsClass.ExeStoredProcedureRetDecimal("uspGetDochodBiezacoPrzychody", "month", 1);
            sValue = MethodsClass.ExeStoredProcedureRetDecimal("uspGetDochodBiezacoKoszty", "month", 1);
            ownDataGridView2.Rows.Add("Stycze", fValue, sValue, fValue + sValue);
            fValue = MethodsClass.ExeStoredProcedureRetDecimal("uspGetDochodBiezacoPrzychody", "month", 2);
            sValue = MethodsClass.ExeStoredProcedureRetDecimal("uspGetDochodBiezacoKoszty", "month", 2);
            ownDataGridView2.Rows.Add("Luty", fValue, sValue, fValue + sValue);
            fValue = MethodsClass.ExeStoredProcedureRetDecimal("uspGetDochodBiezacoPrzychody", "month", 3);
            sValue = MethodsClass.ExeStoredProcedureRetDecimal("uspGetDochodBiezacoKoszty", "month", 3);
            ownDataGridView2.Rows.Add("Marzec", fValue, sValue, fValue + sValue);
            fValue = MethodsClass.ExeStoredProcedureRetDecimal("uspGetDochodBiezacoPrzychody", "month", 4);
            sValue = MethodsClass.ExeStoredProcedureRetDecimal("uspGetDochodBiezacoKoszty", "month", 4);
            ownDataGridView2.Rows.Add("Kwiecie", fValue, sValue, fValue + sValue);
            fValue = MethodsClass.ExeStoredProcedureRetDecimal("uspGetDochodBiezacoPrzychody", "month", 5);
            sValue = MethodsClass.ExeStoredProcedureRetDecimal("uspGetDochodBiezacoKoszty", "month", 5);
            ownDataGridView2.Rows.Add("Maj", fValue, sValue, fValue + sValue);
            fValue = MethodsClass.ExeStoredProcedureRetDecimal("uspGetDochodBiezacoPrzychody", "month", 6);
            sValue = MethodsClass.ExeStoredProcedureRetDecimal("uspGetDochodBiezacoKoszty", "month", 6);
            ownDataGridView2.Rows.Add("Czerwiec", fValue, sValue, fValue + sValue);
            fValue = MethodsClass.ExeStoredProcedureRetDecimal("uspGetDochodBiezacoPrzychody", "month", 7);
            sValue = MethodsClass.ExeStoredProcedureRetDecimal("uspGetDochodBiezacoKoszty", "month", 7);
            ownDataGridView2.Rows.Add("Lipiec", fValue, sValue, fValue + sValue);
            fValue = MethodsClass.ExeStoredProcedureRetDecimal("uspGetDochodBiezacoPrzychody", "month", 8);
            sValue = MethodsClass.ExeStoredProcedureRetDecimal("uspGetDochodBiezacoKoszty", "month", 8);
            ownDataGridView2.Rows.Add("Sierpie", fValue, sValue, fValue + sValue);
            fValue = MethodsClass.ExeStoredProcedureRetDecimal("uspGetDochodBiezacoPrzychody", "month", 9);
            sValue = MethodsClass.ExeStoredProcedureRetDecimal("uspGetDochodBiezacoKoszty", "month", 9);
            ownDataGridView2.Rows.Add("Wrzesie", fValue, sValue, fValue + sValue);
            fValue = MethodsClass.ExeStoredProcedureRetDecimal("uspGetDochodBiezacoPrzychody", "month", 10);
            sValue = MethodsClass.ExeStoredProcedureRetDecimal("uspGetDochodBiezacoKoszty", "month", 10);
            ownDataGridView2.Rows.Add("Padziernik", fValue, sValue, fValue + sValue);
            fValue = MethodsClass.ExeStoredProcedureRetDecimal("uspGetDochodBiezacoPrzychody", "month", 11);
            sValue = MethodsClass.ExeStoredProcedureRetDecimal("uspGetDochodBiezacoKoszty", "month", 11);
            ownDataGridView2.Rows.Add("Listopad", fValue, sValue, fValue + sValue);
            fValue = MethodsClass.ExeStoredProcedureRetDecimal("uspGetDochodBiezacoPrzychody", "month", 12);
            sValue = MethodsClass.ExeStoredProcedureRetDecimal("uspGetDochodBiezacoKoszty", "month", 12);
            ownDataGridView2.Rows.Add("Grudzie", fValue, sValue, fValue + sValue);

            ownDataGridView1.Columns["miesiacKol"].DefaultCellStyle.Alignment = DataGridViewContentAlignment.MiddleRight;
            ownDataGridView1.Columns["opisKol"].DefaultCellStyle.Alignment = DataGridViewContentAlignment.MiddleLeft;
            ownDataGridView1.ColumnHeadersDefaultCellStyle.Alignment = DataGridViewContentAlignment.MiddleCenter;

            ownDataGridView2.DefaultCellStyle.Alignment = DataGridViewContentAlignment.MiddleRight;
            ownDataGridView2.Columns["miesiacKolumna"].DefaultCellStyle.Alignment = DataGridViewContentAlignment.MiddleLeft;
            ownDataGridView2.ColumnHeadersDefaultCellStyle.Alignment = DataGridViewContentAlignment.MiddleRight;
        }
    }
}