using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace ProgramDB
{
    public partial class WprowadzanieNowegoWyposazenia : Form, InterfaceClass.ISendData
    {
        private EwidencjaWyposazenia ew;
        private bool czyNowy;
        public WprowadzanieNowegoWyposazenia(EwidencjaWyposazenia w, bool nowy)
        {
            InitializeComponent();
            ew = w;
            czyNowy = nowy;
            MethodsClass.ownMaskedTextBoxEvent(this.wartPoczTextBox);
        }

        public void Edytuj(params object[] text)
        {  // Retrieves data for editing 
            dateTimePicker1.Value = DateTime.ParseExact(text[0].ToString(), "yyyy-MM-dd HH:mm:ss", null);
            textBox1.Text = text[1].ToString();
            textBox2.Text = text[2].ToString();
            wartPoczTextBox.Text = String.Format("{0:F}", text[3]); 
        }

        private void OK_Click(object sender, EventArgs e)
        {
            if (czyNowy)
                ew.Dodaj(dateTimePicker1.Value, textBox1.Text, textBox2.Text, wartPoczTextBox.Text);
            else
                ew.EdytujOK(dateTimePicker1.Value, textBox1.Text, textBox2.Text, wartPoczTextBox.Text);
        }                                                                                                      
    }
}