using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace ProgramDB
{
    public partial class WprowadzanieNowejSprzedazy : Form, InterfaceClass.ISendData
    {
        private EwidencjaSprzedazy es;
        private bool czyNowy;
        public WprowadzanieNowejSprzedazy(EwidencjaSprzedazy s, bool nowy)
        {
            InitializeComponent();
            es = s;
            czyNowy = nowy;
            MethodsClass.ownMaskedTextBoxEvent(this.przychNUTextBox);
            MethodsClass.ownMaskedTextBoxEvent(this.przychUTextBox);
        }

        public void Edytuj(params object[] text)
        {  // Pobiera dane (z listView) do edycji 
            numericUpDown1.Value = (text[0]==null)?0:(int)text[0];
            dateTimePicker1.Value = (DateTime) text[1]; //DateTime.ParseExact(text[1].ToString(), "dd-MM-yyyy", null);
            przychNUTextBox.Text = (Math.Round(Convert.ToDecimal(text[2]), 2)).ToString();
            przychUTextBox.Text = (Math.Round(Convert.ToDecimal(text[3]), 2)).ToString();
            textBox3.Text = text[4].ToString();
        }

        private void OK_Click(object sender, EventArgs e)  // .ToString("dd-MM-yyyy")
        {
            if (czyNowy)
                es.Dodaj(numericUpDown1.Value, dateTimePicker1.Value, przychNUTextBox.Text, przychUTextBox.Text, textBox3.Text);
            else
            {
                es.EdytujOK(numericUpDown1.Value, dateTimePicker1.Value, przychNUTextBox.Text, przychUTextBox.Text, textBox3.Text);
            }
        }
    }
}