using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace ProgramDB
{
    public partial class WybierzFiltrRejestryVAT : Form
    {
        private RejestryVAT rVAT;
        public WybierzFiltrRejestryVAT(RejestryVAT r)
        {
            InitializeComponent();
            rVAT = r;
        }

        private void WybierzFiltrRejestryVAT_Load(object sender, EventArgs e)
        {
            MethodsClass.ExeReaderComboBox(kontrahentComboBox, "SELECT NazwaSkrocona FROM KontrahenciTabela");
        }

        private void UstawFiltr_Click(object sender, EventArgs e)
        {
            if ((kontrahentCheckBox.Checked && (kontrahentComboBox.Text == "")) || (miesiacVATCheckBox.Checked && (miesiacVATComboBox.Text == "")))
            {
                MethodsClass.MesBoxShowInformation("Wybierz warto w zaznaczonej pozycji", "Niepowodzenie");
                Close();
                return;
            }
            rVAT.FiltrRejestryVAT(kontrahentCheckBox.Checked, kontrahentComboBox.Text, miesiacVATCheckBox.Checked, miesiacVATComboBox.Text);
        }
    }
}