using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Data.SqlClient;

namespace ProgramDB
{
    public partial class ZmianaMiesiacaKsiegowego : Form
    {
        public ZmianaMiesiacaKsiegowego()
        {
            InitializeComponent();
        }

        private void ZmianaMiesiacaKsiegowego_Load(object sender, EventArgs e)
        {
            comboBox1.DropDownStyle = ComboBoxStyle.DropDownList;
            string[] listaMiesiecy ={ "Stycze", "Luty", "Marzec", "Kwiecie", "Maj", "Czerwiec", "Lipiec", "Sierpie", "Wrzesie", "Padziernik", "Listopad", "Grudzie" };
            using (SqlConnection con = new SqlConnection())
            {
                con.ConnectionString = MethodsClass.sConnectionString;
                SqlCommand com = con.CreateCommand();
                com.CommandType = CommandType.Text;
                com.CommandText = "SELECT Miesiac FROM DataKsiegowania";

                con.Open();

                using (SqlDataReader reader = com.ExecuteReader())
                {
                    while (reader.Read())
                    {
                        comboBox1.SelectedItem = listaMiesiecy[Convert.ToInt32(reader[0])- 1];                                
                    }
                }
            }
        }

        private void OK_Click(object sender, EventArgs e)
        {
            if (MethodsClass.CheckDatabaseExists(MethodsClass.Server, MethodsClass.Database) && MethodsClass.IsNotEmptyTable("DataKsiegowania"))  // Jeeli istnieje baza danych (i tabela) zwraca true
            {
                string query = "UPDATE DataKsiegowania SET Miesiac= '" + MethodsClass.DictionaryMonthStringToInt((string)comboBox1.SelectedItem) + "'";
                MethodsClass.ExeNonQuery(query);
            }
        }
    }
}